%global scala_version 2.10
%global hghash c002ce2699b9
Name:          inkytonik-dsinfo
Version:       0.3.0
Release:       1%{?dist}
Summary:       Domain-specific entity names Scala library
License:       LGPLv3
URL:           https://bitbucket.org/inkytonik/dsinfo
Source0:       https://bitbucket.org/inkytonik/dsinfo/get/v%{version}.tar.gz
Source1:       http://central.maven.org/maven2/org/bitbucket/inkytonik/dsinfo/dsinfo_%{scala_version}/%{version}/dsinfo_%{scala_version}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(org.scala-lang:scala-compiler)
BuildRequires: mvn(org.scala-lang:scala-library)
BuildRequires: mvn(org.scala-lang:scala-reflect)
%if 0
BuildRequires: mvn(org.scalatest:scalatest_%{scala_version})
%endif
BuildArch:     noarch

%description
The dsinfo library enables you to easily use Scala-side information
in implementations of embedded (internal) domain-specific languages.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n inkytonik-dsinfo-%{hghash}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

cp -p %SOURCE1 dsinfo/pom.xml
%pom_remove_dep org.scalatest:scalatest_%{scala_version} dsinfo

%pom_add_plugin org.apache.maven.plugins:maven-antrun-plugin:1.7 dsinfo '
<executions>
  <execution>
    <id>compile</id>
    <phase>process-sources</phase>
    <configuration>
      <tasks>
        <property name="build.compiler" value="extJavac"/>
        <taskdef resource="scala/tools/ant/antlib.xml" classpathref="maven.compile.classpath"/>
        <mkdir dir="target/classes"/>
        <scalac srcdir="src" destdir="target/classes" classpathref="maven.compile.classpath" encoding="UTF-8">
          <include name="**/*.*"/>
        </scalac>
      </tasks>
    </configuration>
      <goals>
        <goal>run</goal>
      </goals>
  </execution>
</executions>
<dependencies>
  <dependency>
      <groupId>org.scala-lang</groupId>
      <artifactId>scala-compiler</artifactId>
      <version>2.10.3</version>
  </dependency>
</dependencies>'

%build

cd dsinfo
%mvn_file :dsinfo_%{scala_version} dsinfo
# Not available test dep
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
cd dsinfo
%mvn_install

%files -f dsinfo/.mfiles
%doc README.md
%license COPYING COPYING.LESSER

%changelog
* Fri Apr 17 2015 gil cattaneo <puntogil@libero.it> 0.3.0-1
- initial rpm
